# eric4.Plugins.VcsPlugins.vcsPySvn.SvnCommandDialog

Module implementing the Subversion command dialog.

### Global Attributes

None

### Classes

SvnCommandDialog | Class implementing the Subversion command dialog.

### Functions

None

## SvnCommandDialog

Class implementing the Subversion command dialog.

It implements a dialog that is used to enter an arbitrary subversion command. It asks the user to enter the commandline parameters and the working directory.

### Derived from

QDialog, Ui_SvnCommandDialog

### Class Attributes

None

### Methods

SvnCommandDialog | Constructor
getData | Public method to retrieve the data entered into this dialog.
on_commandCombo_editTextChanged | Private method used to enable/disable the OK-button.
on_dirButton_clicked | Private method used to open a directory selection dialog.

#### SvnCommandDialog (Constructor)

SvnCommandDialog(argvList, wdList, ppath, parent = None)

Constructor

argvList
  history list of commandline arguments (QStringList)
wdList
  history list of working directories (QStringList)
ppath
  pathname of the project directory (string)
parent
  parent widget of this dialog (QWidget)

#### SvnCommandDialog.getData

getData()

Public method to retrieve the data entered into this dialog.

Returns:
  a tuple of argv, workdir

#### SvnCommandDialog.on_commandCombo_editTextChanged

on_commandCombo_editTextChanged(text)

Private method used to enable/disable the OK-button.

text
  ignored

#### SvnCommandDialog.on_dirButton_clicked

on_dirButton_clicked()

Private method used to open a directory selection dialog.

Up